<template>
  <div class="rui-toolbar" :class="componentCSS">
    <div v-if="label || $slots.label" class="rui-toolbar__label">
      <!-- @slot Custom title to use instead of `title` prop -->
      <slot name="label">{{ label }}</slot>
    </div>
    <slot />
    <rui-help-button v-if="help || $slots.help">
      <!-- @slot Custom help to use instead of the `help` prop -->
      <slot name="help">{{ help }}</slot>
    </rui-help-button>
  </div>
</template>

<script>
import RuiHelpButton from '../HelpButton/HelpButton.vue'

/**
 * Group buttons together
 *
 * @preset default { "slots": { "default": "<button>Action 1</button>\n<button>Action 2</button>" } }
 */
export default {
  name: 'RuiToolbar',
  components: { RuiHelpButton },
  props: {
    /** Optional label for the group */
    label: { required: false, type: String, default: null },
    /** Whether to hide the label on small screens */
    noLabelOnSmall: { required: false, type: Boolean, default: false },
    /** Whether to fill the available horizontal space. Useful with block buttons */
    block: { required: false, type: Boolean, default: false },
    /** Help text. Use the `help` slot for complex content */
    help: { required: false, type: String, default: null },
  },
  computed: {
    componentCSS () {
      return [
        this.noLabelOnSmall && 'rui-toolbar--no-label-on-small',
        this.block && 'rui-toolbar--block',
        (this.help || !!this.$slots.help) && 'rui-toolbar--has-help',
      ]
    },
  },
}
</script>
